<?php
/**
 * Registering meta boxes
 *
 * All the definitions of meta boxes are listed below with comments.
 * Please read them CAREFULLY.
 *
 * You also should read the changelog to know what has been changed before updating.
 *
 * For more information, please visit: 
 * @link http://www.deluxeblogtips.com/2010/04/how-to-create-meta-box-wordpress-post.html
 */

/********************* META BOX DEFINITIONS ***********************/

/**
 * Prefix of meta keys (optional)
 * Use underscore (_) at the beginning to make keys hidden
 * Alt.: You also can make prefix empty to disable it
 */
// Better has an underscore as last sign
$prefix = 'omc_';

global $meta_boxes;

$meta_boxes = array();

// 1st meta box
$meta_boxes[] = array(
	// Meta box id, UNIQUE per meta box
	'id' => 'review',

	// Meta box title - Will appear at the drag and drop handle bar
	'title' => 'تنظیمات نقد و بررسی',

	// Post types, accept custom post types as well - DEFAULT is array('post'); (optional)
	'pages' => array( 'post', 'slider' ),

	// Where the meta box appear: normal (default), advanced, side; optional
	'context' => 'normal',

	// Order of meta box: high (default), low; optional
	'priority' => 'low',

	// List of meta fields
	'fields' => array(
		array(
			'name'		=> 'فعال سازی نقد و بررسی؟',
			'id'		=> $prefix . 'review_enable',
			'clone'		=> false,
			'type'		=> 'checkbox',
			'std'		=> false
		),
		array(
			'name'		=> 'اجازه نقد و بررسی توسط کاربران؟',
			'id'		=> $prefix . 'user_ratings_visibility',
		
			'type'		=> 'checkbox',
			'std'		=> false
		),
		// CRITERIA ONE
		array(
			'name'		=> '<span class="omc_get_bold">معیار 1:</span> توضیحات',
			'desc'		=> "",
			'class'		=> "omc_review_hide omc_add_criteria1 omc_c1 ",
			'id'		=> "{$prefix}c1_description",
			'type'		=> 'text',
			'std'		=> "",
			'cols'		=> "50",
			'rows'		=> "1"
		),
		array(
			'name'		=> '<span class="omc_get_bold">معیار 1:</span> امتیاز <em id=omc_preview_rating_1></em>',
			'desc'		=> "",
			'class'		=> "omc_review_hide omc_c1",
			'id'		=> "{$prefix}c1_rating",
			'type'		=> 'text',
			'std'		=> "",
			'cols'		=> "50",
			'rows'		=> "1"
		),
		//CRITERIA TWO
		array(
			'name'		=> '<span class="omc_get_bold">معیار 2:</span> توضیحات',
			'desc'		=> "",
			'class'		=> "omc_review_hide omc_add_criteria2  omc_c2",
			'id'		=> "{$prefix}c2_description",
			'type'		=> 'text',
			'std'		=> "",
			'cols'		=> "50",
			'rows'		=> "1"
		),
		array(
			'name'		=> '<span class="omc_get_bold">معیار 2:</span> امتیاز <em id=omc_preview_rating_2></em>',
			'desc'		=> "",
			'class'		=> "omc_review_hide omc_c2",
			'id'		=> "{$prefix}c2_rating",
			'type'		=> 'text',
			'std'		=> "",
			'cols'		=> "50",
			'rows'		=> "1"
		),
		//CRITERIA THREE
		array(
			'name'		=> '<span class="omc_get_bold">معیار 3:</span> توضیحات',
			'desc'		=> "",
			'class'		=> "omc_review_hide omc_add_criteria3  omc_c3",
			'id'		=> "{$prefix}c3_description",
			'type'		=> 'text',
			'std'		=> "",
			'cols'		=> "50",
			'rows'		=> "1"
		),
		array(
			'name'		=> '<span class="omc_get_bold">معیار 3:</span> امتیاز <em id=omc_preview_rating_3></em>',
			'desc'		=> "",
			'class'		=> "omc_review_hide omc_c3",
			'id'		=> "{$prefix}c3_rating",
			'type'		=> 'text',
			'std'		=> "",
			'cols'		=> "50",
			'rows'		=> "1"
		),
		//CRITERIA FOUR
		array(
			'name'		=> '<span class="omc_get_bold">معیار 4:</span> توضیحات',
			'desc'		=> "",
			'class'		=> "omc_review_hide omc_add_criteria4  omc_c4",
			'id'		=> "{$prefix}c4_description",
			'type'		=> 'text',
			'std'		=> "",
			'cols'		=> "50",
			'rows'		=> "1"
		),
		array(
			'name'		=> '<span class="omc_get_bold">معیار 4:</span> امتیاز  <em id=omc_preview_rating_4></em>',
			'desc'		=> "",
			'class'		=> "omc_review_hide omc_c4",
			'id'		=> "{$prefix}c4_rating",
			'type'		=> 'text',
			'std'		=> "",
			'cols'		=> "50",
			'rows'		=> "1"
		),
		//CRITERIA FIVE
		array(
			'name'		=> '<span class="omc_get_bold">معیار 5:</span> توضیحات',
			'desc'		=> "",
			'class'		=> "omc_review_hide omc_add_criteria5  omc_c5",
			'id'		=> "{$prefix}c5_description",
			'type'		=> 'text',
			'std'		=> "",
			'cols'		=> "50",
			'rows'		=> "1"
		),
		array(
			'name'		=> '<span class="omc_get_bold">معیار 5:</span> امتیاز <em id=omc_preview_rating_5></em>',
			'desc'		=> "",
			'class'		=> "omc_review_hide omc_c5",
			'id'		=> "{$prefix}c5_rating",
			'type'		=> 'text',
			'std'		=> "",
			'cols'		=> "50",
			'rows'		=> "1"
		),
		//CRITERIA SIX
		array(
			'name'		=> '<span class="omc_get_bold">معیار 6:</span> توضیحات',
			'desc'		=> "",
			'class'		=> "omc_review_hide omc_add_criteria6  omc_c6",
			'id'		=> "{$prefix}c6_description",
			'type'		=> 'text',
			'std'		=> "",
			'cols'		=> "50",
			'rows'		=> "1"
		),
		array(
			'name'		=> '<span class="omc_get_bold">معیار 6:</span> امتیاز <em id=omc_preview_rating_6></em>',
			'desc'		=> "",
			'class'		=> "omc_review_hide omc_c6",
			'id'		=> "{$prefix}c6_rating",
			'type'		=> 'text',
			'std'		=> "",
			'cols'		=> "50",
			'rows'		=> "1"
		),		
		array(
			'name'		=> 'نوع امتیاز',
			'id'		=> "{$prefix}review_type",
			'class'		=> "omc_review_hide omc_clear_that_thang",
			'type'		=> 'radio',
			// Array of 'key' => 'value' pairs for radio options.
			// Note: the 'key' is stored in meta field, not the 'value'
			'options'	=> array(
				'stars'	  => 'ستاره ای',
				'percent' => 'درصدی'
			),
			'std'		=> 'stars',
			'desc'		=> ''
		),
		array(
			'name'		=> 'امتیاز کلی',
			'desc'		=> "امتیاز کلی <em>__</em>% قابل نمایش است اگر به صورت درصدی انتخاب کنید",
			'class'		=> "omc_review_hide ",
			'id'		=> "{$prefix}final_score",
			'type'		=> 'text',
			'std'		=> "",
			'cols'		=> "50",
			'rows'		=> "1"
		),
		array(
			'name'		=> 'عنوان نقد و بررسی',
			'desc'		=> "میتوانید خالی بگدارید!",
			'class'		=> "omc_review_hide ",
			'id'		=> "{$prefix}criteria_header",
			'type'		=> 'text',
			'std'		=> "",
			'cols'		=> "50",
			'rows'		=> "4"
		),
		array(
			'name'		=> 'خلاصه',
			'desc'		=> "فقط یک یا دو کلمه وارد کنید",
			'class'		=> "omc_review_hide ",
			'id'		=> "{$prefix}brief_summary",
			'type'		=> 'text',
			'std'		=> "",
			'cols'		=> "50",
			'rows'		=> "4"
		),
		array(
			'name'		=> 'خلاصه توضیحات',
			'desc'		=> "حداکثر یک پاراگراف وارد کنید",
			'class'		=> "omc_review_hide ",
			'id'		=> "{$prefix}longer_summary",
			'type'		=> 'textarea',
			'std'		=> "",
			'cols'		=> "50",
			'rows'		=> "4"
		),
		array(
			'name'		=> 'معیار های نمایش',
			'id'		=> "{$prefix}criteria_display",
			'type'		=> 'radio',
			// Array of 'key' => 'value' pairs for radio options.
			// Note: the 'key' is stored in meta field, not the 'value'
			'options'	=> array(
				'n'			=> 'نمایش نده',
				't'			=> 'بالا',
				'b'			=> 'پایین'
			),
			'std'		=> 'n',
			'desc'		=> 'نقد و بررسی در کدام قسمت مطلب نمایش داده شود؟'
		)
		
	)
);


// 3rd meta box
$meta_boxes[] = array(
	'id'		=> 'post_extension',
	'title'		=> 'تنظیمات مطلب',
	'pages'		=> array( 'post' ),

	'fields'	=> array(

		array(
			'name'		=> 'مطلب ویژه است؟',
			'id'		=> $prefix . 'featured_post',
			'clone'		=> false,
			'type'		=> 'checkbox',
			'std'		=> false
		),

		array(
			'name'		=> 'کد ویدئو',
			'id'		=> $prefix . 'video_encode',
			'clone'		=> false,
			'type'		=> 'textarea',
			'desc'		=> 'کد ویدئو را در این قسمت وارد کنید',
			'std'		=> false
		),				
		array(
			'name'		=> 'نوع دیدگاه',
			'id'		=> "{$prefix}comment_type",
			'class'		=> "",
			'type'		=> 'radio',
			'options'	=> array(
				'fb'	  => 'دیدگاه فیسبوکی ',
				'wp' => 'دیدگاه وردپرسی ',
				'both' => 'هر دو ',
				'none' => 'هیچکدام'
			),
			'std'		=> 'wp',
			'desc'		=> ''
		)
	)
);


// 3rd meta box
$meta_boxes[] = array(
	'id'		=> 'page_extension',
	'title'		=> 'تنظیمات برگه',
	'pages'		=> array( 'page' ),

	'fields'	=> array(

		
		array(
			'name'	=> 'رنگ صفحه',
			'desc'	=> '',
			'id'	=> "{$prefix}page_colour",
			'type'	=> 'color'
		),
				
		array(
			'name'		=> 'نوع دیدگاه',
			'id'		=> "{$prefix}comment_type_page",
			'class'		=> "",
			'type'		=> 'radio',
			'options'	=> array(
				'fb'	  => 'دیدگاه فیسبوکی ',
				'wp' => 'دیدگاه وردپرسی ',
				'both' => 'هر دو ',
				'none' => 'هیچ کدام'
			),
			'std'		=> 'wp',
			'desc'		=> ''
		)
	)
);




// 3rd meta box
$meta_boxes[] = array(
	'id'		=> 'review_page_extension',
	'title'		=> 'تنظیمات نقد و بررسی',
	'pages'		=> array( 'page' ),

	'fields'	=> array(
			
		array(
			'name'		=> 'نوع دیدگاه ها',
			'id'		=> "{$prefix}review_loop",
			'class'		=> "",
			'type'		=> 'radio',
			'options'	=> array(
				'small'	  => 'نقد و بررسی کوتاه ',
				'blog_one' => 'استایل وبلاگ 1 ',
				'blog_two' => 'استایل وبلاگ 2 '
			),
			'std'		=> 'small',
			'desc'		=> ''
		),
		array(
			'name'		=> 'Category Slug',
			'id'		=> $prefix . 'review_category',
			'clone'		=> false,
			'type'		=> 'text',
			'desc'		=> 'Eg, the category slug of "World News" is "world-news"',
			'std'		=> false
		),
		array(
			'name'		=> 'تعداد نقد و بررسی ها',
			'id'		=> $prefix . 'review_count',
			'clone'		=> false,
			'type'		=> 'text',
			'desc'		=> '',
			'std'		=> 10
		)
	)
);


/********************* META BOX REGISTERING ***********************/

/**
 * Register meta boxes
 *
 * @return void
 */
function YOUR_PREFIX_register_meta_boxes()
{
	global $meta_boxes;

	// Make sure there's no errors when the plugin is deactivated or during upgrade
	if ( class_exists( 'RW_Meta_Box' ) )
	{
		foreach ( $meta_boxes as $meta_box )
		{
			new RW_Meta_Box( $meta_box );
		}
	}
}
// Hook to 'admin_init' to make sure the meta box class is loaded
//  before (in case using the meta box class in another plugin)
// This is also helpful for some conditionals like checking page template, categories, etc.
add_action( 'admin_init', 'YOUR_PREFIX_register_meta_boxes' );